> For the complete documentation index, see [llms.txt](https://docs.dropzone.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dropzone.ai/api/investigation-bulk-feedback.md).

# Investigation Bulk Feedback

## PATCH /app/api/v1/investigation-bulk-feedback

> Bulk update investigation feedback\
> \<br>\
> \<br>\
> \<code>feedback.status\</code> options:\
> \<ul>\
> \<li>In Review = \<code>in\_review\</code>\</li> \<li>Reviewed = \<code>reviewed\</code>\</li>\
> \</ul>\
> \<br>\
> \<code>feedback.outcome\</code> options:\
> \<ul>\
> \<li>Malicious = \<code>COMPLETED\_BREACHED\_CONFIRMED\</code>\</li> \<li>Suspicious = \<code>COMPLETED\_BREACHED\_SUSPICIOUS\</code>\</li> \<li>Benign = \<code>COMPLETED\_FALSE\_ALERT\</code>\</li> \<li>Inconclusive = \<code>INCOMPLETE\</code>\</li> \<li>Ignored = \<code>IGNORED\</code>\</li>\
> \</ul>\
> \<code>feedback.priority\</code> options:\
> \<ul>\
> \<li>Informational = \<code>informational\</code>\</li> \<li>Notable = \<code>notable\</code>\</li> \<li>Urgent = \<code>urgent\</code>\</li>\
> \</ul><br>

```json
{"openapi":"3.0.3","info":{"title":"Dropzone AI","version":"0.1.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/app/api/v1/investigation-bulk-feedback":{"patch":{"description":"Bulk update investigation feedback\n<br>\n<br>\n<code>feedback.status</code> options:\n<ul>\n<li>In Review = <code>in_review</code></li> <li>Reviewed = <code>reviewed</code></li>\n</ul>\n<br>\n<code>feedback.outcome</code> options:\n<ul>\n<li>Malicious = <code>COMPLETED_BREACHED_CONFIRMED</code></li> <li>Suspicious = <code>COMPLETED_BREACHED_SUSPICIOUS</code></li> <li>Benign = <code>COMPLETED_FALSE_ALERT</code></li> <li>Inconclusive = <code>INCOMPLETE</code></li> <li>Ignored = <code>IGNORED</code></li>\n</ul>\n<code>feedback.priority</code> options:\n<ul>\n<li>Informational = <code>informational</code></li> <li>Notable = <code>notable</code></li> <li>Urgent = <code>urgent</code></li>\n</ul>\n","operationId":"investigation_bulk_feedback_partial_update","requestBody":{"content":{"application/json":{"schema":{"properties":{"feedback":{"properties":{"exclude_learning":{"default":false,"description":"Set true to exclude from context memory generation","type":"boolean"},"outcome":{"enum":["COMPLETED_BREACHED_CONFIRMED","COMPLETED_BREACHED_SUSPICIOUS","COMPLETED_FALSE_ALERT","INCOMPLETE","IGNORED"],"type":"string"},"outcome_note":{"type":"string"},"priority":{"enum":["informational","notable","urgent"],"type":"string"},"status":{"default":"reviewed","enum":["in_review","reviewed"],"type":"string"}},"type":"object"},"investigation_ids":{"items":{"type":"number"},"type":"array"}},"required":["investigation_ids","feedback"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"investigation_id":{"type":"number"}},"type":"object"}}},"description":"Feedback updated"},"400":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"},"validation_error":{"properties":{"json_path":{"type":"string"},"message":{"type":"string"}},"type":"object"}},"type":"object"}}},"description":"Malformed request"},"401":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"properties":{"detail":{"type":"string"}},"type":"object"}}},"description":"Access denied"},"500":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"System error"},"503":{"content":{"application/json":{"schema":{"properties":{"error_msg":{"type":"string"}},"type":"object"}}},"description":"System not ready for requests"}},"tags":["investigation-bulk-feedback"]}}}}
```
